Namespace: webdriver
View Source

# class WebDriver.Logs

Interface for managing WebDriver log records.

### new WebDriver.Logs(driver)

Parameters

driver`webdriver.WebDriver`

  The parent driver.

## Instance Methods

### get(type)code »

Fetches available log entries for the given type.

Note that log buffers are reset after each call, meaning that available log entries correspond to those entries not yet returned for a given log type. In practice, this means that this call will return the available log entries since the last call, or from the start of the session.

Parameters

type`webdriver.logging.Type`

  The desired log type.

Returns

`webdriver.promise.Promise<Array<webdriver.logging.Entry>>`

  A promise that will resolve to a list of log entries for the specified type.

### getAvailableLogTypes()code »

Retrieves the log types available to this driver.

Returns

`webdriver.promise.Promise<Array<webdriver.logging.Type>>`

  A promise that will resolve to a list of available log types.